EDIT - bug #7162

TaxonNamePopupEditor: Adding BasionymAuthor causes PermissionDeniedException
01/11/2018 09:00 AM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description

| created a new name which is having Achnantheiopsis boreolanceolata Lange-Bert. as basionym. | opened this name in the
TaxonNamePopupEditor added the existing name 'A. Braun' as basionym author. Saving the name caused a
PermissionDeniedException:

Caused by: eu.etaxonomy.cdm.database.PermissionDeniedException: [UPDATE] not permitted for 'andrea
s' on Personfuuid:c2efel90-b59c-4ce2-ae71-ald435347ac6c', toString:'Lange-Bert.']

at eu.etaxonomy.cdm.persistence.hibernate.CdmSecurityHibernateInterceptor.checkPermissions (Cdm
SecurityHibernateInterceptor.java:196)

at eu.etaxonomy.cdm.persistence.hibernate.CdmSecurityHibernateInterceptor.onFlushDirty (CdmSecu
rityHibernateInterceptor. java:124)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.invokelInterceptor (DefaultFlush
EntityEventListener. java:348)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.handleInterception (DefaultFlus
hEntityEventListener.java:325)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.scheduleUpdate (DefaultFlushEnt
ityEventListener.java:276)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.onFlushEntity (DefaultFlushEnti
tyEventListener. java:143)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEntities (AbstractFlushingEwv
entListener. java:216)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions (Abst
ractFlushingEventListener. java:85)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. ja
va:38)

at org.hibernate.internal.SessionImpl.flush(SessionImpl.java:1282)

at org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:465)

at org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (SessionImpl. java:2963)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2339)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:581)

113 more

This seems quite strange that the author of the basionym is being changed when adding basionym author to the name

Adding the basionym to the name with existing basionym author is not causing this problem, but it occurs when removing the
basionym author afterwards.

But the same happens with the combinationAuthors.

There no such problem with the ex-basionym author, though.
Related issues:
Related to EDIT - feature request #7170: TaxonNameEditor: option to suppress ... Closed

History

#1-01/11/2018 09:01 AM - Andreas Kohlbecker

- Description updated

#2 - 01/11/2018 09:03 AM - Andreas Kohlbecker

- Description updated

#3 -01/11/2018 09:04 AM - Andreas Kohlbecker

- Description updated

#4 - 01/11/2018 09:06 AM - Andreas Kohlbecker

- Description updated

#5-01/11/2018 06:06 PM - Andreas Kohlbecker

- Description updated

#6 - 01/16/2018 09:34 AM - Andreas Kohlbecker

- Status changed from New to Rejected

since #7170 the BasionymAuthorsField and the Basionym itself are no longer visible at the same time, so this issue will no longer happen.

Closing as rejected for now
#7 - 01/16/2018 09:35 AM - Andreas Kohlbecker
- Related to feature request #7170: TaxonNameEditor: option to suppress CombinationAuthorshipField & BasionymAuthorship when it contains no

data added

#8 - 02/16/2018 10:56 AM - Andreas Miiller

- Target version deleted (Release 4.14)
